## CustomClassNameRule

|    identifier   | `custom_class_name` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Custom class name of ViewController in storyboard should be same as file name.


## RelativeToMarginRule

|    identifier   | `relative_to_margin` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Forbid to use relative to margin option.


## MisplacedViewRule

|    identifier   | `misplaced` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Display error when views are misplaced.


## ForceToEnableAutoLayoutRule

|    identifier   | `enable_autolayout` |
|:---------------:|:---------------:|
|   Default Rule  |  `true` |

Force to use useAutolayout option


## DuplicateConstraintRule

|    identifier   | `duplicate_constraint` |
|:---------------:|:---------------:|
|   Default Rule  |  `true` |

Display warning when view has duplicated constraint.


## DuplicateIDRule

|    identifier   | `duplicate_id` |
|:---------------:|:---------------:|
|   Default Rule  |  `true` |

Display warning when elements use same id.


## StoryboardViewControllerId

|    identifier   | `storyboard_viewcontroller_id` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check that Storyboard ID same as ViewController class name.


## StackViewBackgroundColorRule

|    identifier   | `stackview_backgroundcolor` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Force background color of stackview to be default.


## ImageResourcesRule

|    identifier   | `image_resources` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check if image resources are valid.


## CustomModuleRule

|    identifier   | `custom_module` |
|:---------------:|:---------------:|
|   Default Rule  |  `true` |

Check if custom class match custom module by custom_module_rule config.


## UseBaseClassRule

|    identifier   | `use_base_class` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check if custom class is in base classes by use_base_class_rule config.


## AmbiguousViewRule

|    identifier   | `ambiguous` |
|:---------------:|:---------------:|
|   Default Rule  |  `true` |

Display error when views are ambiguous.


## ViewAsDeviceRule

|    identifier   | `view_as_device` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check View as: set as a device specified by view_as_device_rule config.


## ReuseIdentifierRule

|    identifier   | `reuse_identifier` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check that ReuseIdentifier same as class name.


## ColorResourcesRule

|    identifier   | `color_resources` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check if named color resources are valid.

## UseTraitCollectionsRule

|    identifier   | `use_trait_collections` |
|:---------------:|:---------------:|
|   Default Rule  |  `false` |

Check if a document useTraitCollections is enabled or disabled
